Loading...
Searching...
No Matches
_snd_ump_msg_set_time_sig Struct Reference

`#include <ump_msg.h>`

## Data Fields

uint8_t | type:4
uint8_t | group:4
uint8_t | format:2
uint8_t | addrs:2
uint8_t | channel:4
uint8_t | status_bank
uint8_t | status
uint8_t | numerator
uint8_t | denominator
uint8_t | num_notes
uint8_t | reserved1
uint32_t | reserved [2]

## Detailed Description

Set Time Signature Message (128bit)

## Field Documentation

## addrs

uint8_t _snd_ump_msg_set_time_sig::addrs

Address

## channel

uint8_t _snd_ump_msg_set_time_sig::channel

Channel

## denominator

uint8_t _snd_ump_msg_set_time_sig::denominator

Denominator

## format

uint8_t _snd_ump_msg_set_time_sig::format

Format

## group

uint8_t _snd_ump_msg_set_time_sig::group

UMP Group

## num_notes

uint8_t _snd_ump_msg_set_time_sig::num_notes

Number of 1/32 notes

## numerator

uint8_t _snd_ump_msg_set_time_sig::numerator

Numerator

## reserved

uint32_t _snd_ump_msg_set_time_sig::reserved[2]

Unused

## reserved1

uint8_t _snd_ump_msg_set_time_sig::reserved1

Unused

## status

uint8_t _snd_ump_msg_set_time_sig::status

Status

## status_bank

uint8_t _snd_ump_msg_set_time_sig::status_bank

Status Bank

## type

uint8_t _snd_ump_msg_set_time_sig::type

UMP packet type

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/ump_msg.h